"""
This is script for custom exceptions
"""


class ModelInitFail(Exception):
    """custom exception thrown when the model fails to load"""


class PayloadError(Exception):
    """throw an excpetion if the image is not present"""


class ConformError(Exception):
    """temporary fail for conform"""

class RabbitMQConnectionError(Exception):
    """temporary fail for connection to RabbitMQ"""
